import React from 'react';
import PropTypes from 'prop-types';
import { Cancel, CheckCircle } from '@mui/icons-material';

function StatusCell(props) {
  const active = props.cell?.toUpperCase() === 'ACTIVE';

  return props.cell && (active ? <CheckCircle color="success" /> : <Cancel color="error" />);
}

StatusCell.propTypes = {
  cell: PropTypes.string.isRequired,
};

export default StatusCell;
